summaryrefslogtreecommitdiffstats
path: root/development/cgdb
diff options
context:
space:
mode:
author Sean Donner2010-05-13 00:24:20 +0200
committer Robby Workman2010-05-13 00:24:20 +0200
commitf8ce6e0966807c3c72b8880b60008f44ddcaa66f (patch)
tree51b5130dba577ec9bb7db2e00cfe8e360604d24f /development/cgdb
parent7e26ae149da448d096ea5ff53ae6449e250e2062 (diff)
downloadslackbuilds-f8ce6e0966807c3c72b8880b60008f44ddcaa66f.tar.gz
development/cgdb: Updated for version 0.6.4
Diffstat (limited to 'development/cgdb')
-rw-r--r--development/cgdb/cgdb.SlackBuild75
-rw-r--r--development/cgdb/cgdb.info6
-rw-r--r--development/cgdb/slack-desc4
3 files changed, 43 insertions, 42 deletions
diff --git a/development/cgdb/cgdb.SlackBuild b/development/cgdb/cgdb.SlackBuild
index 82614a15e6..ce2bb30ffe 100644
--- a/development/cgdb/cgdb.SlackBuild
+++ b/development/cgdb/cgdb.SlackBuild
@@ -1,28 +1,26 @@
#!/bin/sh
-# Slackware build script for cgdb
+# Slackware build script for cgdb
-# Written by João Felipe Santos <joao.eel@gmail.com>
-
-# Copyright (c) 2009 João Felipe Santos
+# Copyright 2009-2010 Sean Donner (sean.donner@gmail.com)
+# All rights reserved.
#
-# Permission is hereby granted, free of charge, to any person obtaining a copy
-# of this software and associated documentation files (the "Software"), to deal
-# in the Software without restriction, including without limitation the rights
-# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-# copies of the Software, and to permit persons to whom the Software is
-# furnished to do so, subject to the following conditions:
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
#
-# The above copyright notice and this permission notice shall be included in
-# all copies or substantial portions of the Software.
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
#
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
-# THE SOFTWARE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=cgdb
VERSION=${VERSION:-0.6.4}
@@ -36,14 +34,17 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -51,12 +52,7 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+chown root:root . -R
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -71,23 +67,25 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ find . -exec file {} + | sed -n '/ELF.*executable\|shared object/s/:.*$//p' | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . -exec file {} + | sed -n '/current ar archive/s/:.*$//p' | \
+ xargs strip --strip-debug 2> /dev/null || true
)
( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ find . -type f -exec gzip -9 {} +
+ find . -type l -print0 | while IFS= read -r -d $'\0' link; do
+ ln -s $(readlink "$link").gz "${link}.gz"
+ rm "$link"
+ done
)
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING ChangeLog NEWS README TODO \
+cp -a AUTHORS COPYING ChangeLog NEWS README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -95,4 +93,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+find . -perm /111 -exec chmod 755 {} + -o -perm /444 ! -perm /111 -exec chmod 644 {} +
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/cgdb/cgdb.info b/development/cgdb/cgdb.info
index bc7fc440c8..bb395a8a4c 100644
--- a/development/cgdb/cgdb.info
+++ b/development/cgdb/cgdb.info
@@ -3,6 +3,8 @@ VERSION="0.6.4"
HOMEPAGE="http://cgdb.sourceforge.net"
DOWNLOAD="http://downloads.sourceforge.net/cgdb/cgdb-0.6.4.tar.gz"
MD5SUM="bddcaaee7b20ab2c17f1f4e197db74c0"
-MAINTAINER="João Felipe Santos"
-EMAIL="joao.eel[at]gmail.com"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Sean Donner"
+EMAIL="sean.donner@gmail.com"
APPROVED="rworkman"
diff --git a/development/cgdb/slack-desc b/development/cgdb/slack-desc
index 65682b1760..ffe41e04bb 100644
--- a/development/cgdb/slack-desc
+++ b/development/cgdb/slack-desc
@@ -7,11 +7,11 @@
|-----handy-ruler-------------------------------------------------------|
cgdb: cgdb (A curses interface for cgdb)
-cgdb:
+cgdb:
cgdb: CGDB is a curses (terminal-based) interface to the GNU Debugger (GDB).
cgdb: Its goal is to be lightweight and responsive; not encumbered with
cgdb: unnecessary features.
-cgdb:
+cgdb:
cgdb: Homepage: http://cgdb.sourceforge.net
cgdb:
cgdb: